-- Main.lua
-- written by Habna


Version = "1.1.1"; --> ** TitanBar current version **
--RDate = "febuary 12th 2012"; --> ** TitanBar release date **
--PlugName = "TitanBar"; --> ** plugin name **
_G.C = {};
_G.sFromCtr = nil;
screenWidth, screenHeight = Turbine.UI.Display.GetSize()
write = Turbine.Shell.WriteLine;

AppDir = "HabnaPlugins.TitanBar";
AppDirD = AppDir..".";
AppRes = "HabnaPlugins/TitanBar/Resources/";
--AppCtr = AppDirD.."Control";
AppCtrD = AppDirD.."Control.";
--AppLocale = AppDirD.."Locale";
AppLocaleD = AppDirD.."Locale.";

--GLocale = Turbine.Engine.GetLocale();
if(Turbine.Shell.IsCommand("zusatzmodule")==true)then
	GLocale = "de";
elseif(Turbine.Shell.IsCommand("conseil")==true)then
	GLocale = "fr";
else
	GLocale = "en";
end

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import (AppDir);
import (AppDirD.."color");
import (AppDirD.."settings");
LoadSettings();
import (AppDirD.."frmMain");
import (AppDirD.."functions");
import (AppDirD.."functionsMenu");
import (AppDirD.."functionsMenuControl");
import (AppDirD.."OptionPanel"); -- LUA option panel file (for in-game plugin manager options tab)
import (AppDirD.."menu");
import (AppDirD.."menuControl");
frmMain();

TitanBarCommand = Turbine.ShellCommand()

function TitanBarCommand:Execute( command, arguments )
	if ( arguments == "options" or arguments == "opt") then
		TitanBarMenu:ShowMenu();
	elseif ( arguments == "unload" ) then
		UnloadTitanBar();
	elseif ( arguments == "reload" ) then
		ReloadTitanBar();
	elseif ( arguments == "resetall" ) then
		ResetSettings();
	elseif ( arguments == "money" or arguments == "mi") then
		ShowHideMoney();
	elseif ( arguments == "destiny" or arguments == "dp") then
		ShowHideDestinyPoints();
	elseif ( arguments == "bag" or arguments == "bi" ) then
		ShowHideBackpackInfos();
	elseif ( arguments == "player" or arguments == "pi" ) then
		ShowHidePlayerInfos();
	elseif ( arguments == "time" or arguments == "gt" ) then
		ShowHideGameTime();
	end
end
Turbine.Shell.AddCommand('TitanBar', TitanBarCommand)

--write( "TitanBar v" .. Version .. " by Habna" );