-- shellcmd.lua
-- written by Habna


function frmShellCmd()
	wShellCmd = Turbine.UI.Lotro.Window()
	--wShellCmd = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	if TBLocale == "en" then wShellCmd:SetSize( 405, 50 ); end
	if TBLocale == "fr" then wShellCmd:SetSize( 500, 50 ); end
	if TBLocale == "de" then wShellCmd:SetSize( 575, 50 ); end
	wShellCmd:SetText( L["SCWTitle"] );
	wShellCmd:SetWantsKeyEvents( true );
	wShellCmd:SetVisible( true );
	wShellCmd:SetZOrder( 2 );
	wShellCmd:Activate();
	-- **^
	-- **^
	LoadShellCommandName();
	LoadShellCommandDes();
	--**v Shell command v**
	local PosY = 40;
	local Max = 9 --Number of shell command

	for i = 1, Max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( wShellCmd );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( "/titanbar " .. ShellCommandName[i] );
		lblShell:SetPosition( 25, PosY );
		lblShell:SetSize( string.len(lblShell:GetText()) * 7.5, 18 );
		lblShell:SetForeColor( green );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		--lblShell:SetBackColor( red ); -- debug purpose

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( wShellCmd );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( lblShell:GetLeft() + lblShell:GetWidth() + 5, PosY );
		lblShellDes:SetSize( string.len(lblShellDes:GetText()) * 7.5, 18 );
		lblShellDes:SetForeColor( white );
		--lblShellDes:SetBackColor( red ); -- debug purpose
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		PosY = PosY + 15;
		wShellCmd:SetHeight( PosY );
	end
	wShellCmd:SetHeight( PosY + 20 );

	local winWidth, winHeight = wShellCmd:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    wShellCmd:SetPosition( left, top );
	--**^

	wShellCmd.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wShellCmd:Close();
		elseif ( args.Action == 268435635 ) then -- **v Hide wShellCmd if F12 key is press v**
			wShellCmd:SetVisible( not wShellCmd:IsVisible() );
		end
	end

	wShellCmd.Closing = function( sender, args ) -- Function for the Upper right X icon
		wShellCmd = nil;
	end
end

-- **v Shell command List v**
function LoadShellCommandName()
	ShellCommandName = {};
	ShellCommandName[1]= "unload";
	ShellCommandName[2]= "reload";
	ShellCommandName[3]= "options";
	ShellCommandName[4]= "resetall";
	ShellCommandName[5]= "money";
	ShellCommandName[6]= "destiny";
	ShellCommandName[7]= "bag";
	ShellCommandName[8]= "player";
	ShellCommandName[9]= "time";
end
-- **^
-- **v Shell Command description list v**
function LoadShellCommandDes()
	ShellCommandDes = {};
	ShellCommandDes[1]= ( L["SCWC1"] );
	ShellCommandDes[2]= ( L["SCWC2"] );
	ShellCommandDes[3]= ( L["SCWC3"] );
	ShellCommandDes[4]= ( L["SCWC4"] );
	ShellCommandDes[5]= ( L["SCWC5"] );
	ShellCommandDes[6]= ( L["SCWC6"] );
	ShellCommandDes[7]= ( L["SCWC7"] );
	ShellCommandDes[8]= ( L["SCWC8"] );
	ShellCommandDes[9]= ( L["SCWC9"] );
end
-- **^